package com.kmall.common.service.pay.wxpay;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
@Component
public class CommonWxPayPropertiesConfiguration {
    private static final String PROD = "prod";
    private static final String DEV = "dev";

    @Value("${pay.wx.env}")
    private String evn = PROD;

    @Autowired
    private CommonWxPayProdProperties commonWxPayProdProperties;

    @Autowired
    private CommonWxPayDevProperties commonWxPayDevProperties;

    @Bean
    public CommonWxPayProperties commonWxPayProperties(){
        if (evn.equalsIgnoreCase(PROD)) {
            return commonWxPayProdProperties;
        }else {
            return commonWxPayDevProperties;
        }
    }

}
